﻿using Infragistics.Web.Mvc;
using GridLOD.Models;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Configuration;

namespace GridLOD.Controllers
{
    public class HomeController : Controller
    {
        NewViewModel model = new NewViewModel();

        [ActionName("igHierarchicalGrid")]
        public ActionResult HierarchicalGrid()
        {
            return View("hierarchicalGrid", model);
        }

        public JsonResult BindProduct(string path, string layout)
        {
            string categoryID = path.Split(':')[1];
            return Json(model.Products.Where(p => p.CategoryID == int.Parse(categoryID)), JsonRequestBehavior.AllowGet);
        }

        public JsonResult BindProdDesc(string path, string layout)
        {
            string productID = path.Split(':')[2];
            return Json(model.ProductDescs.Where(p => p.ProductID == int.Parse(productID)), JsonRequestBehavior.AllowGet);
        }
    }
}
